# Uses of Class
jspecview.common.Coordinate

Packages that use Coordinate
Package
Description
jspecview.common
jspecview.dialog
jspecview.export
jspecview.source

## Uses of Coordinate in jspecview.common

Subclasses of Coordinate in jspecview.common
Modifier and Type
Class
Description
`class`
`Annotation`
The `Annotation` class stores the spectral x and pixel y values of an annotation text along with its text
`class`
`ColoredAnnotation`
ColoredAnnotation is a label on the spectrum; not an integralRegion
`class`
`Integral`
`class`
`Measurement`
The `Measurement` class stores an annotation that is a measurement
Fields in jspecview.common declared as Coordinate
Modifier and Type
Field
Description
`Coordinate`
PanelData.`coordClicked`
`Coordinate[]`
PanelData.`coordsClicked`
Methods in jspecview.common that return Coordinate
Modifier and Type
Method
Description
`Coordinate[]`
IntegralData.`calculateIntegral()`
`Coordinate`
Coordinate.`copy()`
Returns a new coordinate that has the same x and y values of this coordinate
`Coordinate`
PanelData.`getClickedCoordinate()`
Returns the spectrum coordinate of the point on the display that was clicked
`Coordinate`
PeakPickEvent.`getCoord()`
`Coordinate[]`
IntegralData.`getXYCoords()`
`Coordinate[]`
Spectrum.`getXYCoords()`
Returns the array of coordinates
`static Coordinate[]`
Coordinate.`normalise(Coordinate[] xyCoords, double min, double max)`
Normalises the y values of a spectrum to a certain range
`static Coordinate[]`
Coordinate.`parseDSV(String dataPoints, double xFactor, double yFactor)`
Parses data stored in x, y format
`static Coordinate[]`
Coordinate.`reverse(Coordinate[] x)`
`Coordinate`
Coordinate.`set(double x, double y)`
Constructor
Methods in jspecview.common with parameters of type Coordinate
Modifier and Type
Method
Description
`static void`
Coordinate.`applyScale(Coordinate[] xyCoords, double xScale, double yScale)`
Apply the scale factor to the coordinates
`boolean`
Coordinate.`equals(Coordinate coord)`
Indicates whether some other Coordinate is equal to this one
`PeakInfo`
Spectrum.`findPeakByCoord(int xPixel, Coordinate coord)`
`static double`
Coordinate.`findXForPeakNearest(Coordinate[] xyCoords, double x, boolean isMin)`
`PeakInfo`
Spectrum.`getAssociatedPeakInfo(int xPixel, Coordinate coord)`
`static double`
Coordinate.`getMaxX(Coordinate[] coords, int start, int end)`
Returns the minimum x value of an array of `Coordinate`s
`static double`
Coordinate.`getMaxY(Coordinate[] coords, int start, int end)`
Returns the maximum y value of an array of `Coordinate`s
`static double`
Coordinate.`getMinX(Coordinate[] coords, int start, int end)`
Returns the minimum x value of an array of `Coordinate`s
`static double`
Coordinate.`getMinY(Coordinate[] coords, int start, int end)`
Returns the minimum y value of an array of `Coordinate`s
`static int`
Coordinate.`getNearestIndexForX(Coordinate[] xyCoords, double xPt)`
`static double`
Coordinate.`getNearestXWithYAbove(Coordinate[] xyCoords, double x, double y, boolean inverted, boolean andGreaterThanX)`
discovers nearest peak left or right of x that is above threshold y
`boolean`
PanelData.`getPickedCoordinates(Coordinate coord, Coordinate actualCoord)`
click event processing
`static double`
Coordinate.`getYValueAt(Coordinate[] xyCoords, double xPt)`
`static boolean`
Coordinate.`isYInRange(Coordinate[] xyCoords, double min, double max)`
Determines if the y values of a spectrum are in a certain range
`static Spectrum`
Spectrum.`newSpectrum(Spectrum spectrum, Coordinate[] newXYCoords, String units)`
copy spectrum with new coordinates
`static Coordinate[]`
Coordinate.`normalise(Coordinate[] xyCoords, double min, double max)`
Normalises the y values of a spectrum to a certain range
`static double`
Coordinate.`parabolicInterpolation(Coordinate[] xyCoords, int pt)`
see https://ccrma.stanford.edu/~jos/sasp/Quadratic_Interpolation_Spectral_Peaks.html
`static void`
Coordinate.`removeScale(Coordinate[] xyCoords, double xScale, double yScale)`
Removes the scale factor from the coordinates
`static Coordinate[]`
Coordinate.`reverse(Coordinate[] x)`
`int`
Spectrum.`setNextPeak(Coordinate coord, int istep)`
`void`
ViewData.`setXRangeForSubSpectrum(Coordinate[] xyCoords)`
`static void`
Coordinate.`shiftX(Coordinate[] xyCoords, double dx)`
Constructors in jspecview.common with parameters of type Coordinate
Modifier
Constructor
Description
``
`PeakPickEvent(Object source, Coordinate coord, PeakInfo peakInfo)`
``
`ScaleData(Coordinate[] coords, int start, int end, boolean isContinuous, boolean isInverted)`
Calculates values that `JSVPanel` needs in order to render a graph, (eg.

## Uses of Coordinate in jspecview.dialog

Subclasses of Coordinate in jspecview.dialog
Modifier and Type
Class
Description
`class`
`IntegrationDialog`
Dialog for managing the integral listing for a Spectrum within a GraphSet
`class`
`JSVDialog`
`class`
`MeasurementsDialog`
Dialog for managing the measurement list for a Spectrum within a GraphSet
`class`
`OverlayLegendDialog`
Dialog for showing the legend or key for overlaid plots in a `JSVPanel`.
`class`
`PeakListDialog`
Dialog for managing the peak listing for a Spectrum within a GraphSet
`class`
`ViewsDialog`
Dialog for managing overlaying spectra and closing files
Methods in jspecview.dialog with parameters of type Coordinate
Modifier and Type
Method
Description
`void`
JSVDialog.`update(Coordinate clicked, double xRange, int yOffset)`

## Uses of Coordinate in jspecview.export

Fields in jspecview.export declared as Coordinate
Modifier and Type
Field
Description
`protected Coordinate[]`
XMLExporter.`xyCoords`
`protected Coordinate[]`
XMLExporter.`xyCoords`
Fields in jspecview.export with type parameters of type Coordinate
Modifier and Type
Field
Description
`protected Lst<Coordinate>`
XMLExporter.`newXYCoords`
`protected Lst<Coordinate>`
XMLExporter.`newXYCoords`

## Uses of Coordinate in jspecview.source

Fields in jspecview.source declared as Coordinate
Modifier and Type
Field
Description
`Coordinate[]`
JDXDataObject.`xyCoords`
array of x,y coordinates
Methods in jspecview.source that return Coordinate
Modifier and Type
Method
Description
`Coordinate[]`
JDXDecompressor.`decompressData(SB errorLog)`
Determines the type of compression, decompresses the data and stores coordinates in an array to be returned
Methods in jspecview.source with parameters of type Coordinate
Modifier and Type
Method
Description
`void`
JDXDataObject.`setXYCoords(Coordinate[] coords)`
Sets the array of coordinates